/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : XCLIB INTERNALS
    *  Language: ANSI C
    *  File    : demo_private.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


#define _FACILITY	"demo"

#include <stdio.h>

#include <xc/private.h>

int main()
{
#ifdef __FACI__
    printf("__FACI__ = \"%s\"\n", __FACI__);
#endif
    printf("__FUNC__ = \"%s\"\n", __FUNC__);
    printf("__FILE__ = \"%s\"\n", __FILE__);
    printf("__LINE__ = %u\n",     __LINE__);

    return 0;
}


/* End of file */
