/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : PROGRAM INVOCATION NAME
    *  Language: ANSI C
    *  File    : demo_program.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


#include <stdio.h>

#include <xc/program.h>

int main()
{
    char null_string[] = "(null)";

    if (program_invocation_name == NULL)
	program_invocation_name = null_string;

    if (program_invocation_short_name == NULL)
	program_invocation_short_name = null_string;

    printf(
	"program invocation name       : %s\n"
	"program invocation short name : %s\n",
	program_invocation_name, program_invocation_short_name);

    return 0;
}


/* End of file */
